<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [OfficeAPI](./bitburner.officeapi.md) &gt; [getOfficeSizeUpgradeCost](./bitburner.officeapi.getofficesizeupgradecost.md)

## OfficeAPI.getOfficeSizeUpgradeCost() method

Cost to Upgrade office size.

<b>Signature:</b>

```typescript
getOfficeSizeUpgradeCost(divisionName: string, cityName: string, asize: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  cityName | string | Name of the city |
|  asize | number |  |

<b>Returns:</b>

number

Cost of upgrading the office

